Subject: Re: [PATCH 0/8] Remove mysql

From: Efraim Flashner <[email-masked]>
Date: Sat, 20 May 2023 22:59:00 +0300

On Mon, Apr 17, 2023 at 04:29:13PM +0300, Efraim Flashner wrote:
> I saw that a fix was applied to mysql on core-updates to have it build
> with openssl-1.1, and I figured that rather than have a version that was
> several years out of date (and surely had many many security
> vulnerabilities) it would be better to try to just remove it.
> `mariadb:dev` provides the `mysql_config` binary that some packages
> search for so I used it as a drop-in replacement. Nothing seemed broken
> to me after building some packages, so to the best of my knowledge of
> these disparate packages and languages all is fine.
> 
> Efraim Flashner (8):
>   gnu: sysbench: Build with mariadb.
>   gnu: ghc-mysql: Build with mariadb.
>   gnu: neko: Build with mariadb.
>   gnu: inspircd: Build with mariadb.
>   gnu: ulogd: Build with mariadb.
>   gnu: opensmtpd-extras: Build with mariadb.
>   gnu: sbcl-clsql: Build with mariadb.
>   gnu: cl-clsql: Build with mariadb.
> 
>  gnu/packages/benchmark.scm   |  9 +--------
>  gnu/packages/haskell-xyz.scm |  4 ++--
>  gnu/packages/haxe.scm        |  3 ++-
>  gnu/packages/irc.scm         |  4 ++--
>  gnu/packages/linux.scm       |  6 +++---
>  gnu/packages/lisp-xyz.scm    | 18 ++++++++++--------
>  gnu/packages/mail.scm        |  4 ++--
>  7 files changed, 22 insertions(+), 26 deletions(-)
> 
> 
> base-commit: 2d06dfc050114dba44e791d8decc8eaa705fee01

This patch was pushed almost a month ago, closing the bug now

-- 
Efraim Flashner   <[email-masked]>   רנשלפ םירפא
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted